%% -----------------
%% Copyright © 2022 ACK Cyfronet AGH, Poland.
%% -----------------
%%
%% Sample function created for demonstration of creating custom applications functionality
%% See also https://docs.cyfronet.pl/display/ISDOC/Creating+Custom+Applications
%%
function sampleApp1(inVector, multiplicator)

%% sampleApp1 function that multiplies a vector of number values by a multiplicator and plots the result
%
% Inputs:
%   - inVector - vector of double number values
%   - multiplicator - scalar number by which the inVector will be multiplied  
%
% Outputs:
%   - PNG image file 'multipliedVec.png' containing a plot of the inVector multiplied by multiplicator
%

    multipliedVec = inVector .* multiplicator;
    plot(multipliedVec);
    print('-dpng', 'multipliedVec.png');

end
